How do you get "import in3.*;" to work in a Java program when using Maven?

Previous Topic Next Topic
 
classic Classic list List threaded Threaded
6 messages Options
Reply | Threaded
Open this post in threaded view
|

How do you get "import in3.*;" to work in a Java program when using Maven?

Alub Quinata
I have a working pom.xml file, and I want to use Incubed in3.  I added these lines to my Maven pom.xml file:

<dependency>
  <groupId>it.slock</groupId>
  <artifactId>in3</artifactId>
  <version>v2.5.4</version>
</dependency>


I was trying to follow the directions here: https://github.com/blockchainsllc/in3/packages/72045?version=v2.5.4

I tried different versions of in3 too.  Whenever I ran "mvn install", I got an error like this:

Could not resolve dependencies for project org.foobar:jar:0.1.0: Could not find artifact it.slock:in3:jar:2.5.4 in central (https://repo.maven.apache.org/maven2)

I looked on different Maven repositories for "in3" or "it.slock", but I could not find anything.  How do you use pom.xml to build in3 for Java?
Reply | Threaded
Open this post in threaded view
|

Re: How do you get "import in3.*;" to work in a Java program when using Maven?

mgainty
did you try simplifying version to numeric version
<version>2.5.4</version
?

________________________________
From: Alub Quinata <[hidden email]>
Sent: Sunday, January 17, 2021 4:46 PM
To: [hidden email] <[hidden email]>
Subject: How do you get "import in3.*;" to work in a Java program when using Maven?

I have a working pom.xml file, and I want to use Incubed in3.  I added these lines to my Maven pom.xml file:

<dependency>
  <groupId>it.slock</groupId>
  <artifactId>in3</artifactId>
  <version>v2.5.4</version>
</dependency>


I was trying to follow the directions here: https://github.com/blockchainsllc/in3/packages/72045?version=v2.5.4

I tried different versions of in3 too.  Whenever I ran "mvn install", I got an error like this:

Could not resolve dependencies for project org.foobar:jar:0.1.0: Could not find artifact it.slock:in3:jar:2.5.4 in central (https://repo.maven.apache.org/maven2)

I looked on different Maven repositories for "in3" or "it.slock", but I could not find anything.  How do you use pom.xml to build in3 for Java?
Reply | Threaded
Open this post in threaded view
|

Re: How do you get "import in3.*;" to work in a Java program when using Maven?

Greg Chabala
In reply to this post by Alub Quinata
Looks like it's not on Maven Central.

There was an issue opened about it:
https://github.com/blockchainsllc/in3/issues/16

As well as two opened yesterday, by a3845:
https://github.com/blockchainsllc/in3/issues/28 &
https://github.com/blockchainsllc/in3/issues/29

You can follow the project's directions and install their jar into your
local repo, or a local repo manager like Nexus.

I'd be hesitant use any library that hadn't figured out how to get their
artifact to central though. It'll just as likely disappear.

Greg Chabala

On Sun, Jan 17, 2021 at 3:46 PM Alub Quinata <[hidden email]> wrote:

> I have a working pom.xml file, and I want to use Incubed in3.  I added
> these lines to my Maven pom.xml file:
>
> <dependency>
>   <groupId>it.slock</groupId>
>   <artifactId>in3</artifactId>
>   <version>v2.5.4</version>
> </dependency>
>
>
> I was trying to follow the directions here:
> https://github.com/blockchainsllc/in3/packages/72045?version=v2.5.4
>
> I tried different versions of in3 too.  Whenever I ran "mvn install", I
> got an error like this:
>
> Could not resolve dependencies for project org.foobar:jar:0.1.0: Could not
> find artifact it.slock:in3:jar:2.5.4 in central (
> https://repo.maven.apache.org/maven2)
>
> I looked on different Maven repositories for "in3" or "it.slock", but I
> could not find anything.  How do you use pom.xml to build in3 for Java?
>
Reply | Threaded
Open this post in threaded view
|

Re: How do you get "import in3.*;" to work in a Java program when using Maven?

Alub Quinata
In reply to this post by mgainty
Yes, I tried that.  It did not work.
________________________________
From: Martin Gainty <[hidden email]>
Sent: Sunday, January 17, 2021 5:05 PM
To: Maven Users List <[hidden email]>
Subject: Re: How do you get "import in3.*;" to work in a Java program when using Maven?

did you try simplifying version to numeric version
<version>2.5.4</version
?

________________________________
From: Alub Quinata <[hidden email]>
Sent: Sunday, January 17, 2021 4:46 PM
To: [hidden email] <[hidden email]>
Subject: How do you get "import in3.*;" to work in a Java program when using Maven?

I have a working pom.xml file, and I want to use Incubed in3.  I added these lines to my Maven pom.xml file:

<dependency>
  <groupId>it.slock</groupId>
  <artifactId>in3</artifactId>
  <version>v2.5.4</version>
</dependency>


I was trying to follow the directions here: https://github.com/blockchainsllc/in3/packages/72045?version=v2.5.4

I tried different versions of in3 too.  Whenever I ran "mvn install", I got an error like this:

Could not resolve dependencies for project org.foobar:jar:0.1.0: Could not find artifact it.slock:in3:jar:2.5.4 in central (https://repo.maven.apache.org/maven2)

I looked on different Maven repositories for "in3" or "it.slock", but I could not find anything.  How do you use pom.xml to build in3 for Java?
Reply | Threaded
Open this post in threaded view
|

Re: How do you get "import in3.*;" to work in a Java program when using Maven?

Tamás Cservenák
Did you configure Maven to use the proper repository? (see
https://docs.github.com/en/packages/guides/configuring-apache-maven-for-use-with-github-packages
)

T

On Sun, Jan 17, 2021 at 11:35 PM Alub Quinata <[hidden email]>
wrote:

> Yes, I tried that.  It did not work.
> ________________________________
> From: Martin Gainty <[hidden email]>
> Sent: Sunday, January 17, 2021 5:05 PM
> To: Maven Users List <[hidden email]>
> Subject: Re: How do you get "import in3.*;" to work in a Java program when
> using Maven?
>
> did you try simplifying version to numeric version
> <version>2.5.4</version
> ?
>
> ________________________________
> From: Alub Quinata <[hidden email]>
> Sent: Sunday, January 17, 2021 4:46 PM
> To: [hidden email] <[hidden email]>
> Subject: How do you get "import in3.*;" to work in a Java program when
> using Maven?
>
> I have a working pom.xml file, and I want to use Incubed in3.  I added
> these lines to my Maven pom.xml file:
>
> <dependency>
>   <groupId>it.slock</groupId>
>   <artifactId>in3</artifactId>
>   <version>v2.5.4</version>
> </dependency>
>
>
> I was trying to follow the directions here:
> https://github.com/blockchainsllc/in3/packages/72045?version=v2.5.4
>
> I tried different versions of in3 too.  Whenever I ran "mvn install", I
> got an error like this:
>
> Could not resolve dependencies for project org.foobar:jar:0.1.0: Could not
> find artifact it.slock:in3:jar:2.5.4 in central (
> https://repo.maven.apache.org/maven2)
>
> I looked on different Maven repositories for "in3" or "it.slock", but I
> could not find anything.  How do you use pom.xml to build in3 for Java?
>
Reply | Threaded
Open this post in threaded view
|

Re: How do you get "import in3.*;" to work in a Java program when using Maven?

John Patrick
In reply to this post by Alub Quinata
So what I can tell is the documentation got change on 18 Dec 2019 to
mention maven. But the project has never published it into maven
central.

It also looks like it now uses gradle to build and from what I'm aware
of gradle it doesn't have anything configured to even publish.


On Sun, 17 Jan 2021 at 22:35, Alub Quinata <[hidden email]> wrote:

>
> Yes, I tried that.  It did not work.
> ________________________________
> From: Martin Gainty <[hidden email]>
> Sent: Sunday, January 17, 2021 5:05 PM
> To: Maven Users List <[hidden email]>
> Subject: Re: How do you get "import in3.*;" to work in a Java program when using Maven?
>
> did you try simplifying version to numeric version
> <version>2.5.4</version
> ?
>
> ________________________________
> From: Alub Quinata <[hidden email]>
> Sent: Sunday, January 17, 2021 4:46 PM
> To: [hidden email] <[hidden email]>
> Subject: How do you get "import in3.*;" to work in a Java program when using Maven?
>
> I have a working pom.xml file, and I want to use Incubed in3.  I added these lines to my Maven pom.xml file:
>
> <dependency>
>   <groupId>it.slock</groupId>
>   <artifactId>in3</artifactId>
>   <version>v2.5.4</version>
> </dependency>
>
>
> I was trying to follow the directions here: https://github.com/blockchainsllc/in3/packages/72045?version=v2.5.4
>
> I tried different versions of in3 too.  Whenever I ran "mvn install", I got an error like this:
>
> Could not resolve dependencies for project org.foobar:jar:0.1.0: Could not find artifact it.slock:in3:jar:2.5.4 in central (https://repo.maven.apache.org/maven2)
>
> I looked on different Maven repositories for "in3" or "it.slock", but I could not find anything.  How do you use pom.xml to build in3 for Java?

---------------------------------------------------------------------
To unsubscribe, e-mail: [hidden email]
For additional commands, e-mail: [hidden email]